Re: [gnutls-devel] [gnutls-help] crash in gnutls_x509_trust_list_add_trust_file()

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [gnutls-devel] [gnutls-help] crash in gnutls_x509_trust_list_add_trust_file()

Nikos Mavrogiannopoulos
On Sat, Feb 4, 2017 at 4:01 PM, Jeremy Harris <[hidden email]> wrote:

> On 04/02/17 13:41, Nikos Mavrogiannopoulos wrote:
>> Could you try this build after it compiles?
>> https://koji.fedoraproject.org/koji/taskinfo?taskID=17591753
>
> OK:
>
> [jgh@lap test]$ sudo dnf provides */libgnutls.so
> Last metadata expiration check: 4:08:45 ago on Sat Feb  4 10:46:29 2017.
> gnutls-devel-3.5.8-2.fc25.x86_64 : Development files for the gnutls package
> Repo        : @System
>
>
> ... and no crash from the GnuTLS-related portions of the Exim testsuite,
> which did crash with gnutls-devel-3.5.8-1.fc25.x86_64.
>
> Can you say if all library versions identifying at runtime as 3.5.8
> should be regarded as suspect?  Some other known versions too?
> Only Fedora ones?

This affects Fedora only because it is using the p11-kit trust store
which goes through PKCS#11. As a bug it affects all released versions
I guess.

regards,
Nikos

_______________________________________________
Gnutls-devel mailing list
[hidden email]
http://lists.gnupg.org/mailman/listinfo/gnutls-devel
Loading...